Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
halide_trace_event_t Struct Reference

`#include <HalideRuntime.h>`

## Public Attributes
const char * | func
| The name of the Func or Pipeline that this event refers to.
void * | value
| If the event type is a load or a store, this points to the value being loaded or stored.
int32_t * | coordinates
| For loads and stores, an array which contains the location being accessed.
const char * | trace_tag
| For halide_trace_tag, this points to a read-only null-terminated string of arbitrary text.
struct halide_type_t | type
| If the event type is a load or a store, this is the type of the data.
enum halide_trace_event_code_t | event
| The type of event.
int32_t | parent_id
int32_t | value_index
| If this was a load or store of a Tuple-valued Func, this is which tuple element was accessed.
int32_t | dimensions
| The length of the coordinates array.

## Detailed Description

Definition at line 589 of file HalideRuntime.h.

## Member Data Documentation

## ◆ func

const char* halide_trace_event_t::func

The name of the Func or Pipeline that this event refers to.

Definition at line 591 of file HalideRuntime.h.

## ◆ value

void* halide_trace_event_t::value

If the event type is a load or a store, this points to the value being loaded or stored.

Use the type field to safely cast this to a concrete pointer type and retrieve it. For other events this is null.

Definition at line 597 of file HalideRuntime.h.

## ◆ coordinates

int32_t* halide_trace_event_t::coordinates

For loads and stores, an array which contains the location being accessed.

For vector loads or stores it is an array of vectors of coordinates (the vector dimension is innermost).

For realization or production-related events, this will contain the mins and extents of the region being accessed, in the order min0, extent0, min1, extent1, ...

For pipeline-related events, this will be null.

Definition at line 609 of file HalideRuntime.h.

## ◆ trace_tag

const char* halide_trace_event_t::trace_tag

For halide_trace_tag, this points to a read-only null-terminated string of arbitrary text.

For all other events, this will be null.

Definition at line 614 of file HalideRuntime.h.

## ◆ type

struct halide_type_t halide_trace_event_t::type

If the event type is a load or a store, this is the type of the data.

Otherwise, the value is meaningless.

Definition at line 618 of file HalideRuntime.h.

## ◆ event

enum halide_trace_event_code_t halide_trace_event_t::event

The type of event.

Definition at line 621 of file HalideRuntime.h.

## ◆ parent_id

int32_t halide_trace_event_t::parent_id

Definition at line 625 of file HalideRuntime.h.

## ◆ value_index

int32_t halide_trace_event_t::value_index

If this was a load or store of a Tuple-valued Func, this is which tuple element was accessed.

Definition at line 629 of file HalideRuntime.h.

## ◆ dimensions

int32_t halide_trace_event_t::dimensions

The length of the coordinates array.

Definition at line 632 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h